- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.LegacySearchArtifactIoCDetailsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#body.aspect_1)
- [Feed](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#Feed)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#Feed.SCHEMA_REPRESENTATION)
- [FeedMetadata](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#FeedMetadata)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#FeedMetadata.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacy.legacySearchArtifactIoCDetails

Rpc to search for IoC details for a particular artifact.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacy:legacySearchArtifactIoCDetails`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. Chronicle instance this request is sent to. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `artifactIndicator` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ArtifactIndicator`)`` Required. Artifact of interest. |

### Request body

The request body must be empty.

### Response body

Response message for SearchArtifactIoCDetailsResponse.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "feeds": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#Feed`) } ] } ``` |

| Fields ||
|---|---|
| `feeds[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#Feed`)`` Empty if this domain wasn't identified as an IoC by any feed. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacies.legacySearchArtifactIoCDetails`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## Feed

| JSON representation |
|---|
| ``` { "metadata": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#FeedMetadata`) }, "iocs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/IocEvent`) } ] } ``` |

| Fields ||
|---|---|
| `metadata` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchArtifactIoCDetails#FeedMetadata`)`` |
| `iocs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/IocEvent`)`` |

## FeedMetadata

| JSON representation |
|---|
| ``` { "title": string, "description": string, "link": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/Link`) }, "confidenceScoreBucket": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/IntRange`) } } ``` |

| Fields ||
|---|---|
| `title` | `string` |
| `description` | `string` |
| `link` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/Link`)`` |
| `confidenceScoreBucket` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/IntRange`)`` |